dofile(LockOn_Options.script_path.."displays/UFCP/Indicator/definitions.lua")
PAGE_NAME = "COMBAT"

local baseSim  = AddSimple()

local line1Sim = AddSimple(nil,{0,Line1Y},nil,baseSim)

AddText(nil,'敌我识别','unicode_cn_green',{-0.98*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line1Sim,nil,{'IFF_STATUS'},{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,1,1}
})
AddBoxBorder(nil,0.30*Width,0.12*Height,0.01*Width,{-0.68*Width,0},nil,'DBG_GREEN',nil,nil,line1Sim,{'IFF_STATUS'},
{
    {AnimalControllor.parameterInRange,0,0.9,1.1}
})

local line2Sim = AddSimple(nil,{0,Line2Y},nil,baseSim)

AddText(nil,'非合作目标识别','unicode_cn_green',{-0.98*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line2Sim,nil,{'NCTR_STATUS'},{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,1,1}
})
AddBoxBorder(nil,0.525*Width,0.12*Height,0.01*Width,{-0.455*Width,0},nil,'DBG_GREEN',nil,nil,line2Sim,{'NCTR_STATUS'},
{
    {AnimalControllor.parameterInRange,0,0.9,1.1}
})

local line3Sim = AddSimple(nil,{0,Line3Y},nil,baseSim)

AddText(nil,'激光编码:','unicode_cn_green',{-0.98*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line3Sim)

AddText(nil,nil,'unicode_cn_green',{-0.3*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line3Sim,{'%.0f'},{'LASER_CODE','LASER_EDIT_CODE'},
{
    {AnimalControllor.textUsingParameter,0},
    {AnimalControllor.parameterInRange,1,-0.1,0.1},
})--正式激光编码
AddText(nil,nil,'unicode_cn_white',{-0.3*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line3Sim,{'%.0f'},{'LASER_TMP_CODE','LASER_EDIT_CODE','LASER_ERR_CODE'},
{
    {AnimalControllor.textUsingParameter,0},
    {AnimalControllor.parameterInRange,1,0.9,1.1},
    {AnimalControllor.parameterInRange,2,-0.1,0.1},
})--寄存器的激光编码
AddText(nil,'错误编码','unicode_cn_green',{-0.3*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line3Sim,nil,{'LASER_ERR_CODE'},
{
    {AnimalControllor.parameterInRange,0,0.9,1.1}
})--输入激光编码错误提示
AddText(nil,'____','unicode_cn_green',{-0.3*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line3Sim,nil,{'LASER_EDIT_CODE','LASER_ERR_CODE'},
{
    {AnimalControllor.parameterInRange,0,0.9,1.1},
    {AnimalControllor.parameterInRange,1,-0.1,0.1},
})

local line4Sim = AddSimple(nil,{0,Line4Y},nil,baseSim)
AddText(nil,'攻击点:','unicode_cn_green',{-0.98*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line4Sim)
AddText(nil,nil,'unicode_cn_green',{-0.4*Width,0},Align.LC,DEFAULT_FONT_SIZE[5],nil,nil,line4Sim,{'%.0f/','%.0f'},{'ATK_WPT','ATK_WPT_MAX'},
{
    {AnimalControllor.textUsingParameter,0},
    {AnimalControllor.textUsingParameter,1,1},
})